/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This Source Code Form is "Incompatible With Secondary Licenses", as
 * defined by the Mozilla Public License, v. 2.0. */

table.main {
  border-spacing: 1em;
}

table.main tr {
  vertical-align: top;
  border-top: 1px solid var(--grid-border-color);
}

table.main th {
  text-align: right;
  white-space: nowrap;
}

table.main th,
table.main td {
  padding: 4px;
}

table.main ul {
  list-style-type: none;
  padding-left: 0
}

table.groups {
  border-spacing: 1px;
}

table.groups tr {
  border-color: var(--secondary-control-border-color);
}

table.groups tr.indirect {
  background-color: var(--grid-subheader-background-color);
}

table.groups th {
  text-align: left;
  padding: 4px;
}

table.groups td {
  padding: 4px;
}

table.groups td.checkbox {
  text-align: center;
  white-space: nowrap;
}

table#user_responsibilities th {
  text-align: center;
  padding: 0 1em 1em;
}

table#user_responsibilities th.product {
  text-align: left;
  padding: 1em 0 0;
}

table#user_responsibilities td.center {
  text-align: center;
}

.missing {
  color: var(--error-message-foreground-color);
  border-color: inherit;
}
